/**************************************************************************************************
 *				
 * Classname:	Misc
 * Properties:	Contains various static methods
 * Superclass:	Object
 * Author:	Anders Fjeldstad, Modified by Peter Asplund & Henrik Hedman
 *				
 **************************************************************************************************/

import javax.swing.*;

public class Misc
{
	/*
	 * Methodname:	load_pics()
	 * Purpose:	Loads the pictures used by the game into a given array
	 * Parameters:	pics (An array of type ImageIcon)
	 * Returns:	-
	 */
	public static void load_pics(ImageIcon[] pics)
	{
		pics[0] = new ImageIcon("open.gif");		// open, walkable
		pics[1] = new ImageIcon("wall.gif");		// wall
		pics[2] = new ImageIcon("tested.gif");		// tested
		pics[3] = new ImageIcon("marker.gif");		// marks the start
      pics[4] = new ImageIcon("path.gif");		// marks the start
		pics[5] = new ImageIcon("goal.gif");		// path	
	}
	
	/*
	 * Methodname:	calc_x_zone()
	 * Purpose:	Takes the x-position of the mouse and calculates the respective square of the minefield
	 * Parameters:	mouse_x_pos
	 * Returns:	An integer representing the x-position on the minefield
	 */
	public static int calc_x_zone(int mouse_x_pos)
	{
		final int ZONE_SIDE_LENGTH = 20;
		
		return(mouse_x_pos / ZONE_SIDE_LENGTH);
	}
	
	/*
	 * Methodname:	calc_y_zone()
	 * Purpose:	Takes the y-position of the mouse and calculates the respective square of the minefield
	 * Parameters:	mouse_y_pos
	 * Returns:	An integer representing the y-position on the minefield
	 */
	public static int calc_y_zone(int mouse_y_pos)
	{
		final int ZONE_SIDE_LENGTH = 20;
		
		return(mouse_y_pos / ZONE_SIDE_LENGTH);
	}
	
}
