/*******************************************************************************
 * 
 * Name: Walllayer 
 * Properties: Creates 2D Array of type Zone and randomly inserts walls into the array objects. 
 * Superclass: Object 
 * Author: Peter Asplund, modified by Henrik Hedman
 */

import javax.swing.*;

public class Walllayer {
	/*
	 * Methodname:	init_array()
	 * Purpose:	Initiate the array x and creates an instant of the object Zone in every arrayposition
	 * Parameters:	images
	 * Returns:	none
	 */
	
	public static void init_array(Zone[][] x, ImageIcon[] images) {
		for (int y_pos = 0; y_pos < x[0].length; y_pos++) //Enters y-positions in array
		{
			for (int x_pos = 0; x_pos < x.length; x_pos++) //Enters x-positions in array
			{
				x[x_pos][y_pos] = new Zone(images); //Makes an Instant of Objecttype Zone in array position (x , y)
			}
		}
	}
	
	/*
	 * Methodname:	wallplacer()
	 * Purpose:	Randomly places walls inside the mazearray
	 * Parameters:	images
	 * Returns:	none
	 */
	
	public static void wallplacer(int number_walls, Zone[][] x) {
		int x_position;
		int y_position;
		boolean work_done = false; //Tells wether the wallplacing was succesful
		
		for (int i = 0; i < number_walls; i++) {
			work_done = false; //No mines placed
			while (!work_done) //Place wall as long as no wall was placed in this loop
			{
				x_position = (int) (x.length * Math.random());
				y_position = (int) (x[0].length * Math.random());
				if (x[x_position][y_position].getType() != 1) {
					x[x_position][y_position].setType(1);
					x[x_position][y_position].setLabel(1);
					work_done = true; //Returns that the wallplacening was succesful
				}
			}
		}
	}
	
	/*
	 * Methodname:	markerplacer()
	 * Purpose:	Randomly places the marker inside the mazearray
	 * Parameters:	images
	 * Returns:	none
	 */
	public static void markerplacer(Zone[][] x) {
		int x_position;
		int y_position;
		boolean work_done = false; //Tells wether the markerplacing was succesful
		
		work_done = false; //No mark placed
		while (!work_done) //Place the mark as long as no wall is in the position
		{
			x_position = (int) (x.length * Math.random());
			y_position = (int) (x[0].length * Math.random());
			if (x[x_position][y_position].getType() != 1) {
				x[x_position][y_position].setType(3);
				x[x_position][y_position].setLabel(3);
				System.out.print("marker: " + x_position + "," + y_position
					+ "************************************************\n");
				work_done = true; //Returns that the markerplacening was succesful
				Board.setStartPos(x_position, y_position);
			}
		}
	}
}
